#!/usr/bin/env kjsembed

CustomOptions.orientation = Qt.Vertical;
CustomOptions.columns = 1;

var box = new TQVBox(CustomOptions);
var row1 = new TQHBox(box);
var dateLabel = new TQLabel(row1);
dateLabel.text = "Birthday:";
var birthday = new KDateWidget(row1);

var row2 = new TQHBox(box);
var eyeLabel = new TQLabel(row2);
eyeLabel.text = "Eye color:";
var eyeColor = new KColorButton(row2);

var row3 = new TQHBox(box);
var notes = new KTextEdit(row3);

box.show();

function handleOk()
{
      var personelData = []; // make this an array so it will convert properly
      personelData = {birthday:birthday.date, eyeColor:eyeColor.color, notes:notes.text };
//    personelData[birthday] = birthday.date;
//    personelData[eyeColor] = eyeColor.color;
//    personelData[notes] = notes.text;
    return personelData;
}

function handleCancel()
{
    notes.text = "";
}


